Index: apps/app_dumpchan.c
===================================================================
--- apps/app_dumpchan.c	(revision 57426)
+++ apps/app_dumpchan.c	(working copy)
@@ -85,7 +85,8 @@
 			 "CallerID=           %s\n"
 			 "CallerIDName=       %s\n"
 			 "DNIDDigits=         %s\n"
-			 "RDNIS=              %s\n" 
+			 "RDNIS=              %s\n"
+ 			 "Language=           %s\n"
 			 "State=              %s (%d)\n"
 			 "Rings=              %d\n"
 			 "NativeFormat=       %s\n"
@@ -111,6 +112,7 @@
 			 S_OR(c->cid.cid_name, "(N/A)"),
 			 S_OR(c->cid.cid_dnid, "(N/A)"),
 			 S_OR(c->cid.cid_rdnis, "(N/A)"),
+			 c->language,
 			 ast_state2str(c->_state),
 			 c->_state,
 			 c->rings,
Index: main/cli.c
===================================================================
--- main/cli.c	(revision 57426)
+++ main/cli.c	(working copy)
@@ -1023,6 +1023,7 @@
 		"      Caller ID: %s\n"
 		" Caller ID Name: %s\n"
 		"    DNID Digits: %s\n"
+		"       Language: %s\n"
 		"          State: %s (%d)\n"
 		"          Rings: %d\n"
 		"  NativeFormats: %s\n"
@@ -1049,7 +1050,9 @@
 		c->name, c->tech->type, c->uniqueid,
 		S_OR(c->cid.cid_num, "(N/A)"),
 		S_OR(c->cid.cid_name, "(N/A)"),
-		S_OR(c->cid.cid_dnid, "(N/A)"), ast_state2str(c->_state), c->_state, c->rings, 
+		S_OR(c->cid.cid_dnid, "(N/A)"), 
+		c->language,	
+		ast_state2str(c->_state), c->_state, c->rings, 
 		ast_getformatname_multiple(nf, sizeof(nf), c->nativeformats), 
 		ast_getformatname_multiple(wf, sizeof(wf), c->writeformat), 
 		ast_getformatname_multiple(rf, sizeof(rf), c->readformat),
@@ -1107,6 +1110,7 @@
 		"      Caller ID: %s\n"
 		" Caller ID Name: %s\n"
 		"    DNID Digits: %s\n"
+		"       Language: %s\n"
 		"          State: %s (%d)\n"
 		"          Rings: %d\n"
 		"  NativeFormats: %s\n"
@@ -1133,7 +1137,9 @@
 		c->name, c->tech->type, c->uniqueid,
 		S_OR(c->cid.cid_num, "(N/A)"),
 		S_OR(c->cid.cid_name, "(N/A)"),
-		S_OR(c->cid.cid_dnid, "(N/A)"), ast_state2str(c->_state), c->_state, c->rings, 
+		S_OR(c->cid.cid_dnid, "(N/A)"), 
+		c->language,
+		ast_state2str(c->_state), c->_state, c->rings, 
 		ast_getformatname_multiple(nf, sizeof(nf), c->nativeformats), 
 		ast_getformatname_multiple(wf, sizeof(wf), c->writeformat), 
 		ast_getformatname_multiple(rf, sizeof(rf), c->readformat),
